Bug 110380 - Can only put 2 launchers into a drawer (GNOME panel).
Can only put 2 launchers into a drawer (GNOME panel).
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
: 111458 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2003-11-18 17:24 EST by Thomas
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version: 2.4.2-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-03-02 10:54:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thomas 2003-11-18 17:24:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)

Description of problem:
You can put only 2 launchers into a drawer (in the GNOME panel).

(Actually, you can put more than two launchers into the drawer, but
the drawer will not show them, when opened. Moreover, the 3rd, 4th
etc. launcher gets lost (which you e.g. can see by taking the first
and second launcher out of the drawer again).)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create a drawer in the GNOME panel
2. Create 3 launchers in the GNOME panel
3. Put the 3 launchers into the drawer (open the drawer / drag & drop)

Additional info:
Comment 1 JLapham 2003-11-19 06:27:06 EST
This is a dup of 109323
Comment 2 Leonard den Ottolander 2004-02-21 12:16:09 EST
I don't believe this to be a duplicate of bug #109323 .
Comment 3 Mark McLoughlin 2004-02-23 04:19:10 EST
Thomas: if you move the drawer to a different panel, do the launchers
that you added (which never appeared) suddenly appear then?

It sounds like http://bugzilla.gnome.org/show_bug.cgi?id=128567 to me
Comment 4 Mark McLoughlin 2004-02-23 04:21:48 EST
*** Bug 111458 has been marked as a duplicate of this bug. ***
Comment 5 Mark McLoughlin 2004-02-23 17:40:44 EST
I've just released a testing update which should fix this issue.
Please test it out and let us know if it fixes your problem.

Details on the update:
Comment 6 Leonard den Ottolander 2004-02-23 17:52:45 EST
Good that you included a link to the archive since I haven't seen any
mail from the mailing lists since early this morning. Luckily bugzilla
mail is still coming through.
Comment 7 Michal Jaegermann 2004-02-24 16:58:22 EST
Assorted bugs which were making drawers practically useless seem
to be indeed gone in gnome-panel-2.4.2-1.  Still contortions one
has to go through to add more than 2 launchers "from a menu" to
a drawer can be described only as bizzare.  Probably the easiest
is to _minimize_ size in properties, which changes icons sizes but
not a "drawer height", add launchers and restore size once you are
done.  After a while one the only option left is to create
launchers elsewhere and drag-and-drop them on a drawer. Hm...
Nothing in "Properties" which I naturally tried first.

After some mucking around when adding and deleting various launchers
I got, when trying to remove from the main panel a drawer with
some launchers inside, a gnome-panel crash with the following
#0  0x00707c32 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x001a6b03 in __waitpid_nocancel () from /lib/tls/libpthread.so.0
#2  0x00ab27f4 in libgnomeui_module_info_get () from
#3  <signal handler called>
#4  0x0809b945 in panel_toplevel_unblock_auto_hide ()
#5  0x08079537 in panel_gconf_associate_schemas_in_dir ()
#6  0x09f73890 in ?? ()
#7  0xbfe6aff8 in ?? ()
#8  0x002db6c4 in ?? () from /usr/lib/libgobject-2.0.so.0
#9  0x0a1edff8 in ?? ()
#10 0x002db6c4 in ?? () from /usr/lib/libgobject-2.0.so.0
#11 0xbfe6b008 in ?? ()
#12 0x002c4051 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0

Not that I am able to reproduce it, unfortunately.
Comment 8 Mark McLoughlin 2004-02-25 02:18:06 EST
Thanks for testing the update out, but please don't add new bugs in
this one. If you have any new bugs to report, open individual bug
reports for each of them
Comment 9 Mark McLoughlin 2004-03-02 10:54:58 EST
Okay, a gnome-panel Fedora Core 1 Update (2.4.2-3) with a fix
for this bug is now available from:


Note You need to log in before you can comment on or make changes to this bug.